cURL
curl --request GET \ --url https://studio.edgeimpulse.com/v1/api/deployment/targets \ --header 'x-api-key: <api-key>'
{ "success": true, "targets": [ { "name": "<string>", "description": "<string>", "image": "<string>", "imageClasses": "<string>", "format": "<string>", "hasEonCompiler": true, "hasTensorRT": true, "hasTensaiFlow": true, "hasDRPAI": true, "hasTIDL": true, "hasAkida": true, "hasMemryx": true, "hasStAton": true, "hasCevaNpn": true, "hideOptimizations": true, "uiSection": "library", "supportedEngines": [ "tflite" ], "preferredEngine": "tflite", "docsUrl": "<string>", "modelVariants": [ { "variant": "int8", "supported": true, "hint": "<string>" } ], "latencyDevice": "<string>", "badge": { "name": "<string>", "description": "<string>" }, "customDeployId": 123, "integrateUrl": "<string>", "ownerOrganizationName": "<string>", "url": "<string>", "firmwareRepoUrl": "<string>" } ], "error": "<string>" }
List all deployment targets
Documentation IndexFetch the complete documentation index at: https://docs.nordic.edgeimpulse.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.nordic.edgeimpulse.com/llms.txt
Use this file to discover all available pages before exploring further.
OK
Whether the operation succeeded
Show child attributes
Optional error description (set if 'success' was false)